# $Revision: 1.26 $, $Date: 2002/01/06 12:02:04 $
Summary:	Xscorch - clone of the classic DOS game "Scorched Earth"
Summary(pl):	Xscorch - klon klasycznej gry "Scorched Earth"
Name:		xscorch
Version:	0.1.14
Release:	1
License:	GPL
Group:		X11/Applications/Games
Group(de):	X11/Applikationen/Spiele
Group(pl):	X11/Aplikacje/Gry
Source0:	http://velius.chaos2.org/xscorch/%{name}-%{version}.tar.gz
Source1:	%{name}.png
Source2:	%{name}.desktop
Icon:		xscorch.xpm
URL:		http://velius.chaos2.org/xscorch/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Xscorch is a clone of the classic DOS game, "Scorched Earth". The
basic goal is to annihilate enemy tanks using overpowered guns :).
Basically, you buy weapons, you target the enemy by adjusting the
angle of your turret and firing power, and you hope to destroy their
tank before they destroy yours.

%description -l pl
Xscorch to klon klasycznej gry "Scorched Earth". Celem gry jest
zniszczenie czogw przeciwnikw przy pomocy naprawd mocnych broni
:-). Po prostu kupujesz bro, celujesz do przeciwnika ustawiajc kt
podniesienia lufy oraz si strzau i masz nadziej, e zniszczysz ich
czogi, zanim oni zniszcz twj.

%prep
%setup -q

%build
libtoolize --copy --force
aclocal
autoconf
automake -a -c
%configure \
	--enable-network
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/pixmaps,%{_applnkdir}/Games}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Games

gzip -9nf README NEWS AUTHORS ChangeLog TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/xscorch
%{_applnkdir}/Games/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xscorch.spec,v $
Revision 1.26  2002/01/06 12:02:04  kloczek
- updated to 0.1.14 (bug fixes + new factures + improvments = new stable version).

Revision 1.25  2001/12/20 12:18:22  qboosh
- updated Groups, release 3

Revision 1.24  2001/07/29 19:31:46  migo
- typo in description

Revision 1.23  2001/07/25 08:38:43  kloczek
- release 2.

Revision 1.22  2001/07/24 21:45:25  mkierus
- added patch to 0.1.13a

Revision 1.21  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.20  2001/07/15 04:12:12  kloczek
- updated to 0.1.13.

Revision 1.19  2001/07/13 18:40:53  kloczek
- updated to 0.1.12,
- regenerate ac/am/lt files (spec is ac 2.50 ready).

Revision 1.18  2001/05/30 01:58:19  kloczek
- updated to 0.1.11a.

Revision 1.17  2001/05/03 07:30:26  kloczek
- updated to 0.1.11.

Revision 1.16  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.15  2001/01/14 16:56:33  kloczek
- updated to 0.1.10.

Revision 1.14  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.12  2000/08/16 18:34:20  kloczek
- updated to 0.1.9.

Revision 1.11  2000/07/25 04:53:05  kloczek
- updated to 0.1.8.

Revision 1.10  2000/07/21 18:24:23  kloczek
- updated to 0.1.7.

Revision 1.9  2000/07/01 15:16:30  kloczek
- removed automake from BuildRequires and %build.

Revision 1.8  2000/07/01 15:09:12  kloczek
- updated to 0.1.6,
- removed DESTDIR patch (now integrated in this version).

Revision 1.7  2000/06/28 04:36:25  kloczek
- updated to 0.1.5.

Revision 1.6  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/31 16:16:28  kloczek
- updated %files: added %%{_datadir}/xscorch.

Revision 1.3  2000/05/31 16:05:38  kloczek
- updated to 0.1.3.

Revision 1.2  2000/05/16 21:08:36  kloczek
- updated to 0.1.1,
- added package icon and desktop file,
- added DESTDIR patch.

Revision 1.1  2000/05/02 09:21:00  kloczek
- written from scrach (NFY).
